Subject: Re: [PATCH] 8xx: add cpm_get_cpmp()

From: Dan Malek <[email-masked]>
Date: Sun, 7 Aug 2005 13:25:34 -0400

On Aug 7, 2005, at 11:44 AM, Aristeu Sergio Rozanski Filho wrote:

> what about don't cache it and call ioremap() from driver? (I guess
> ioremap() already check if an area is already mapped, no?)

Either way.  I'm actually leaning toward these "pointer helper"
functions. :-)  Something like get_cpmp(), or get_immr(), that will
hide the details of the mapping, so you don't have to include
and know which #defines to use as part of an ioremap() call.

It seems to be more clear to me, and I'm thinking about making
the same changes to the CPM2 drivers.  It also allows a
performance versus compact code trade off, declaring these
as inline functions or as real functions.

Thanks.

	-- Dan